
Katello - Bug #5160

Content Views: Long descriptions for view cause mostly-silent failure to publish

04/11/2014 05:38 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082163 Red Hat JIRA:  

Pull request:    

Description

(In reply to Corey Welton from comment #0)

Description of problem:

When a user enters a long description for a content view (presumably more

than 255 characters?), subsequent attempts to promote error out.  This does

not seem to be readily apparent in UI except for a tiny red smidge in the

progress bar and clicking through to see that "something" caused an error.

Traceback in candlepin.log

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140328.1

How reproducible:

Steps to Reproduce:

1.  Create  view called "this is a test" with the following description:

this is a testthis is a testthis is a testthis is a testthis is a testthis

is a testthis is a testthis is a testthis is a testthis is a testthis is a

testthis is a testthis is a testthis is a testthis is a testthis is a

testthis is a testthis is a testthis is a testthis is a testthis is a

testthis is a testthis is a testthis is a testthis is a test

2.  Noting that view is created with no failure, add content to view and

attempt to promote it.

3.  View results

Actual results:

An incomplete red status bar; clicking through "Publishing and promoting to

1 environment." notes an error but doesn't really provide details.

Expected results:

Validation in the UI to keep user from creating a content view longer than

allowable db field length.

Additional info:

See forthcoming example from candlepin.log

Associated revisions

Revision 99d81441 - 04/14/2014 01:41 PM - Walden Raines

Fixes #5160, BZ1082163 - limit content view descriptions to 255 chars.

Revision facafed4 - 04/14/2014 05:57 PM - Walden Raines
Merge pull request #3973 from waldenraines/bug-5160

Fixes #5160, BZ1082163 - limit content view descriptions to 255 chars.

History

#1 - 04/11/2014 05:38 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1082163

#2 - 04/11/2014 06:08 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3973

#3 - 04/11/2014 06:23 PM - Walden Raines

- Category set to Content Views

#4 - 04/14/2014 06:56 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:99d814414cfd4bd218eb46a22b59b7f02206f2f7.

#5 - 06/06/2014 01:35 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
